libzypp 17.37.10

zypp::sat::asSolvable Struct Reference

To Solvable transform functor. More...

`#include <zypp/sat/Solvable.h>`

## Public Types
using | result_type = Solvable

## Public Member Functions
Solvable | operator() (const Solvable &solv_r) const
Solvable | operator() (const PoolItem &pi_r) const
Solvable | operator() (const ResObject_constPtr &res_r) const

## Detailed Description

To Solvable transform functor.

Definition at line 578 of file Solvable.h.

## Member Typedef Documentation

## ◆ result_type

using zypp::sat::asSolvable::result_type = Solvable

Definition at line 580 of file Solvable.h.

## Member Function Documentation

## ◆ operator()() [1/3]

Solvable zypp::sat::asSolvable::operator() | ( | const Solvable & | solv_r | ) | const
| inline

Definition at line 582 of file Solvable.h.

## ◆ operator()() [2/3]

Solvable zypp::sat::asSolvable::operator() | ( | const PoolItem & | pi_r | ) | const

Definition at line 41 of file SolvIterMixin.cc.

## ◆ operator()() [3/3]

Solvable zypp::sat::asSolvable::operator() | ( | const ResObject_constPtr & | res_r | ) | const

Definition at line 46 of file SolvIterMixin.cc.

The documentation for this struct was generated from the following files:

- zypp/sat/Solvable.h
- zypp/sat/SolvIterMixin.cc